ApiManagementTenantsSso
POST
/v3/mgmt/sso/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
enabled?boolean
mergeUsers?boolean
redirectUrl?string
allowDuplicateSSODomainsInOtherTenants?boolean
groupPriorityEnabled?boolean
allowOverrideRoles?boolean
limitMappingToMandatoryAttributes?boolean
blockIfEmailDomainMismatch?boolean
markEmailAsUnverified?boolean
mandatoryUserAttributes?object
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
emailServiceProvider?string
emailTemplateId?string
Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template.
ssoSuiteStyleId?string
hideSsoSuiteScim?boolean
hideSsoSuiteGroupsMapping?boolean
hideSsoSuiteDomains?boolean
hideSsoSuiteSaml?boolean
hideSsoSuiteOidc?boolean
ssoSuiteForceDomainVerification?boolean
ssoSuiteSupportEmail?string
ssoSuiteShowHelpContact?boolean
hideSsoSuiteJitGuide?boolean
oidcLoginIdMappingDefaultOverride?string
Set the project's SSO settings, using a valid management key.
curl -X POST "https://api.descope.com/v3/mgmt/sso/settings" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?